import os

import testinfra.utils.ansible_runner

import warnings
warnings.filterwarnings("ignore", category=DeprecationWarning)

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ['MOLECULE_INVENTORY_FILE']).get_hosts('all')


def test_facts_dir(host):
    fact = host.file("/etc/ansible/facts.d")

    assert fact.exists
    assert fact.mode == 0o755
